% ContourVAD Contoured VAD display
% (V2.0 for Matlab 5.02, F.Marks, 7/16/99)
%	ContourVAD plots VAD estimates by time and
%	by altitude where:
%	 rows: 		>400 altitudes
%	 columns:   16 ranges
%   adds derivatives for winds

clear all;
%
% get filename#1
file1=input('Enter VAD reflectivity filename:','s');
nf1=size(file1);
%
% load array of dBZ
eval(['load ', file1,' -ascii']);
f1=eval([file1(1:nf1(2)-4)]);
%
% load array
[m1,n1]=size(f1);
b1=f1(2:m1,2:n1);
%
% flip matrix up/down
b = flipud(b1);
%
% get filename#2
file2=input('Enter top VAD velocity filename:','s');
nf2=size(file2);
%
% load array of winds
eval(['load ', file2,' -ascii']);
f2=eval([file2(1:nf2(2)-4)]);
%
% load array
[m2,n2]=size(f2);
c1=f2(2:m2,2:n2);
%
% flip matrix up/down
c = flipud(c1);
%
% range is 1st row of input array
x=f1(1,2:n1);
%
% altitude is 1st column of input array
y1=f1(2:m1,1);
y = flipud(y1);
%
% get filename#3
file3=input('Enter bottom VAD velocity filename:','s');
nf3=size(file3);
%
% load array of winds
eval(['load ', file3,' -ascii']);
f3=eval([file3(1:nf3(2)-4)]);
%
% load array
[m3,n3]=size(f3);
c2=f3(2:m3,2:n3);
%
% flip matrix up/down
c3 = flipud(c2);
%
% free up some memory
clear c2 f3 file3 c1 f1 f2 y1 file1 file2 b1;
%
%
%      	 Graphics
% create figure
plotname=input('Enter plot name:','s');
hf=figure;
set(hf,'Name',plotname,'paperorientation','portrait',...
	'paperposition',[0.5,0.5,7.5,10]);
%
% shade the dBZ values and draw velocity as contour lines
% plot by log10 altitude
% v1 is vector of contour intervals for plotting
v1=[0,5,10,15,20,25,30,35,40,45,50,55];
ha1=axes('position',[.10,.5,.81,.425]);
set(ha1,'layer','top','box','on');
set(ha1,'yscale','log','ylimmode','manual','ylim',[50,4000]);
set(ha1,'xlimmode','manual','xlim',[0,250]);
set(ha1,'xtick',[0,25,50,75,100,125,150,175,200,225,250]);
set(ha1,'xticklabelmode','manual','xticklabel',[' '])
hold on;
grid on;
[cf,hc,fc]=contourf(x,y,b,v1);
set(hc,'edgecolor','none');
%
% contour varible 2 (wind component) using contour values v2
v2=[10,15,20,25,30,35,40,45,50,55,60];
%v2=[-5.e-3,-1.e-3,-5.e-4,0,5.e-4,1.e-3,5.e-3,1.e-2,5.e-2];
%v2=[-30.,-25.,-20.,-15.,-10.,-5.,0,5.,10.,15.,20.];
[cc1,hc1] = contour(x,y,c,[v2(1) v2(1)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c,[v2(2) v2(2)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c,[v2(3) v2(3)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c,[v2(4) v2(4)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c,[v2(5) v2(5)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c,[v2(6) v2(6)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c,[v2(7) v2(7)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c,[v2(8) v2(8)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c,[v2(9) v2(9)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
%[cc1,hc1] = contour(x,y,c,[v2(10) v2(10)]);
%set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
%clabel(cc1,hc1);
%[cc1,hc1] = contour(x,y,c,[v2(11) v2(11)]);
%set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
%clabel(cc1,hc1);
%
% draw title, x and y labels
ylabel('Height (m,AGL)');
title([plotname]); 
hold off;
caxis([0,50]);
colormap(jet(12));
%
% shade the dBZ values and draw velocity as contour lines
% plot by log10 altitude
ha1=axes('position',[.10,.075,.81,.425]);
set(ha1,'layer','top','box','on')
set(ha1,'yscale','log','ylimmode','manual','ylim',[50,4000]);
set(ha1,'xlimmode','manual','xlim',[0,250]);
set(ha1,'xtick',[0,25,50,75,100,125,150,175,200,225,250]);
hold on;
grid on;
[cf,hc,fc]=contourf(x,y,b,v1);
set(hc,'edgecolor','none');
%
% contour varible 3 (wind component 2) using contour values v3
%v2=[5.,10.,15.,20.,25.,30.,35.,40.,45.,50.,55.];
%v2=[-5.e-3,-1.e-3,-5.e-4,0,5.e-4,1.e-3,5.e-3,1.e-2,5.e-2];
v3=[-25,-20,-15,-10,-5,0,5,10,15,20,25];
[cc1,hc1] = contour(x,y,c3,[v3(1) v3(1)]);
set(hc1,'edgecolor','k','linestyle','--','linewidth',[.5]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(2) v3(2)]);
set(hc1,'edgecolor','k','linestyle','--','linewidth',[.5]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(3) v3(3)]);
set(hc1,'edgecolor','k','linestyle','--','linewidth',[.5]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(4) v3(4)]);
set(hc1,'edgecolor','k','linestyle','--','linewidth',[.5]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(5) v3(5)]);
set(hc1,'edgecolor','k','linestyle','--','linewidth',[.5]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(6) v3(6)]);
set(hc1,'edgecolor','k','linestyle','--','linewidth',[.5]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(7) v3(7)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.5]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(8) v3(8)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(9) v3(9)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(10) v3(10)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
[cc1,hc1] = contour(x,y,c3,[v3(11) v3(11)]);
set(hc1,'edgecolor','k','linestyle','-','linewidth',[1.]);
clabel(cc1,hc1);
%
% draw title, x and y labels
xlabel('Radial Distance (km)');
ylabel('Height (m,AGL)');
%title([plotname]); 
hold off;
%plotedit on
caxis([0 50]);
colormap(jet(12));
